// This file is auto-generated by @hey-api/openapi-ts

import { createClient, createConfig, type OptionsLegacyParser } from '@hey-api/client-fetch';
import type { CreateFilterData, CreateFilterError, CreateFilterResponse, ReadLogboekDataVerwerkingUrlsByBsnData, ReadLogboekDataVerwerkingUrlsByBsnError, ReadLogboekDataVerwerkingUrlsByBsnResponse } from './types.gen';

export const client = createClient(createConfig());

/**
 * Add or Overwrite a new filter
 */
export const createFilter = <ThrowOnError extends boolean = false>(options: OptionsLegacyParser<CreateFilterData, ThrowOnError>) => {
    return (options?.client ?? client).post<CreateFilterResponse, CreateFilterError, ThrowOnError>({
        ...options,
        url: '/logboek-dataverwerking/filters'
    });
};

/**
 * Get URLS of inzicht apis which may contain logs of this BSN
 */
export const readLogboekDataVerwerkingUrlsByBsn = <ThrowOnError extends boolean = false>(options: OptionsLegacyParser<ReadLogboekDataVerwerkingUrlsByBsnData, ThrowOnError>) => {
    return (options?.client ?? client).get<ReadLogboekDataVerwerkingUrlsByBsnResponse, ReadLogboekDataVerwerkingUrlsByBsnError, ThrowOnError>({
        ...options,
        url: '/logboek-dataverwerking/urls/{bsn}'
    });
};